package com.qihoo.security.library.applock.bean;

 interface IAppLock {

	
	oneway void addAppToConfig(String pkg);
	
	oneway void removeAppFromConfig(String pkg);
	
	oneway void addAppListToConfig(in List<String> list);
	
	oneway void removeAppListFromConfig(in List<String> list);
	
    oneway void clearConfig();
	//是否在app已经加锁	
	boolean isAppInLockList(String pkg);
	//是否在app推荐加锁	
	boolean isAppInRecommendLockList(String pkg);
	//是否在app运营使用最多推荐加锁	
	boolean isAppInOperationMostRecommendLockList(String pkg);
	//强制调用一次锁屏	
	oneway void forceLockAppOneTime(String pkg);
	
	oneway void unlockApp(String pkg);
	
	oneway void updateRelockTime(int time);
	
	oneway void updateLockMode(int mode);
	
	boolean isHasAppInLockConfig();
	
	//重新设置保存的 toppackage
	void forceTopResetPackage();
	
	boolean isAppLockEnable();
	
    void setAppLockEnable(boolean isEnable);
}
